Skip to main content
POST
/
api
/
v1
/
alert-deliveries
/
{id}
/
retry
Retry a failed delivery
curl --request POST \
  --url https://api.devhelm.io/api/v1/alert-deliveries/{id}/retry \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "dispatchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "channel": "<string>",
    "channelType": "<string>",
    "status": "PENDING",
    "eventType": "INCIDENT_CREATED",
    "stepNumber": 123,
    "fireCount": 123,
    "attemptCount": 123,
    "lastAttemptAt": "2023-11-07T05:31:56Z",
    "nextRetryAt": "2023-11-07T05:31:56Z",
    "deliveredAt": "2023-11-07T05:31:56Z",
    "errorMessage": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Path Parameters

id
string<uuid>
required

Response

200 - */*

OK

data
object

Delivery record for a single channel within a notification dispatch